#!/bin/sh
# Toggles desktop icons.

if [[ $(defaults read com.apple.finder CreateDesktop) = false ]]; then
    echo "Showing desktop icons."
    defaults write com.apple.finder CreateDesktop true
else
    echo "Hiding desktop icons."
    defaults write com.apple.finder CreateDesktop false
fi

killall Finder